> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow Download Url

> Return gated payload download URL + metadata for subscribed users.



## OpenAPI

````yaml /api-reference/openapi.fr.json post /flow/download-url
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/download-url:
    post:
      tags:
        - flow
      summary: Create Flow Download Url
      description: Return gated payload download URL + metadata for subscribed users.
      operationId: create_flow_download_url_flow_download_url_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlowDownloadUrlRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowDownloadUrlResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowDownloadUrlRequest:
      properties:
        platform:
          type: string
          title: Platform
          examples:
            - darwin
        arch:
          type: string
          title: Arch
          examples:
            - arm64
        device_id:
          type: string
          maxLength: 64
          minLength: 1
          title: Device Id
        device_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Device Name
        force_replace:
          type: boolean
          title: Force Replace
          default: false
      type: object
      required:
        - platform
        - arch
        - device_id
      title: FlowDownloadUrlRequest
    FlowDownloadUrlResponse:
      properties:
        url:
          type: string
          title: Url
        version:
          type: string
          title: Version
        sha256:
          type: string
          title: Sha256
        size_bytes:
          type: integer
          title: Size Bytes
        flow_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Flow Trace Id
        activation_bundle:
          anyOf:
            - type: string
            - type: 'null'
          title: Activation Bundle
        download_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Id
        payload_decrypt_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Payload Decrypt Key
        payload_decrypt_iv:
          anyOf:
            - type: string
            - type: 'null'
          title: Payload Decrypt Iv
      type: object
      required:
        - url
        - version
        - sha256
        - size_bytes
      title: FlowDownloadUrlResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````